ATI proprietary drivers

Everything about X, Gnome, KDE, ... and everything running on it

ATI proprietary drivers

Postby PsySc0rpi0n » 2012-10-27 18:54

Hi guys...
I'm under Debian Wheezy.
I'm trying to install amd-driver-installer-catalyst-12.10-x86.x86_64.run downloaded from amd site.

I've done this steps 'till now:

Code: Select all
sudo apt-get install ia32-libs
sudo sh /usr/share/ati/fglrx-uninstall.sh
sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev*
sudo rm /etc/X11/xorg.conf
sudo apt-get install --reinstall  libgl1-mesa-glx:amd64 libgl1-mesa-dri:amd64 xserver-xorg-core
sudo dpkg-reconfigure xserver-xorg
sudo reboot
wget http://www2.ati.com/drivers/linux/amd-driver-installer-catalyst-12.10-x86.x86_64.zip
unzip amd-driver-installer-catalyst-12.10-x86.x86_64.zip
chmod 755 amd-driver-installer-catalyst-12.10-x86.x86_64.run
sudo sh ./amd-driver-installer-12-1-x86.x86_64.run --buildpkg debian/testing


and at this last command i get this output:

Code: Select all
Generating package: Debian/testing
cp: cannot stat `/home/narayan/Downloads/fglrx-install.PpJ3V1/x710_64a/*': No such file or directory
Package build failed!
Package build utility output:
dpkg-buildpackage: source package fglrx-installer
dpkg-buildpackage: source version 9.002-1
dpkg-buildpackage: source changed by AMD: Advanced Micro Devices. <http://ati.amd.com/support/driver.html>
 dpkg-source --before-build fglrx.yTmMwr
dpkg-buildpackage: host architecture amd64
 debian/rules build
dh_testdir
# move licenses away from binary dir
if [ ! -d usr/share/doc/fglrx ]; then \
     mkdir -p usr/share/doc/fglrx; \
     mv usr/X11R6/bin/LICENSE.* usr/share/doc/fglrx; \
   fi
# set executable on user apps
find usr/X11R6/bin -type f | xargs chmod a+x
# remove exec bit from files that don't deserve it
find usr/X11R6/include \
        usr/X11R6/lib \
        usr/X11R6/lib64 \
        usr/share usr/src     -type f | xargs chmod -x
find: `usr/X11R6/include': No such file or directory
find lib -not -name "*.sh" -type f | xargs chmod -x
find lib      -name "*.sh" -type f | xargs chmod +x
# set proper permissions on /etc files
if [ -d etc/ati ]; then         \
      chmod 755 etc/ati ;         \
      chmod 644 etc/ati/* ;      \
      chmod a+x etc/ati/*.sh ;   \
   fi
if [ -f debian/fglrx.default ]; then \
     mv -v debian/fglrx.default debian/fglrx; \
   fi
`debian/fglrx.default' -> `debian/fglrx'
# remove exec bit from 64-bit libs too
find usr/X11R6/lib64       -type f | xargs chmod -x
 debian/rules binary
dh_testdir
# move licenses away from binary dir
if [ ! -d usr/share/doc/fglrx ]; then \
     mkdir -p usr/share/doc/fglrx; \
     mv usr/X11R6/bin/LICENSE.* usr/share/doc/fglrx; \
   fi
# set executable on user apps
find usr/X11R6/bin -type f | xargs chmod a+x
# remove exec bit from files that don't deserve it
find usr/X11R6/include \
        usr/X11R6/lib \
        usr/X11R6/lib64 \
        usr/share usr/src     -type f | xargs chmod -x
find: `usr/X11R6/include': No such file or directory
find lib -not -name "*.sh" -type f | xargs chmod -x
find lib      -name "*.sh" -type f | xargs chmod +x
# set proper permissions on /etc files
if [ -d etc/ati ]; then         \
      chmod 755 etc/ati ;         \
      chmod 644 etc/ati/* ;      \
      chmod a+x etc/ati/*.sh ;   \
   fi
if [ -f debian/fglrx.default ]; then \
     mv -v debian/fglrx.default debian/fglrx; \
   fi
# remove exec bit from 64-bit libs too
find usr/X11R6/lib64       -type f | xargs chmod -x
dh_testdir
dh_testroot
dh_clean -k
dh_clean: dh_clean -k is deprecated; use dh_prep instead
dh_clean: Compatibility levels before 5 are deprecated (level 4 in use)
dh_installdirs
dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use)
# Create the directories to install into
dh_installdirs -pfglrx-driver \
      usr \
      usr/lib/xorg \
      usr/lib/xorg/modules \
      usr/lib/dri \
      usr/bin \
      usr/sbin \
      etc/acpi \
      etc/acpi/events \
      etc/default \
      etc/X11/Xsession.d
dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use)
# the amd64 package includes 32bit compatibility libraries
dh_installdirs -pfglrx-driver \
      emul/ia32-linux/usr/lib \
      emul/ia32-linux/usr/lib/xorg \
      emul/ia32-linux/usr/lib/xorg/modules \
      emul/ia32-linux/usr/lib/dri
dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use)
dh_installdirs -pfglrx-driver-dev \
      usr \
      usr/include \
      usr/lib
dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use)
dh_installdirs -pfglrx-kernel-src \
      usr/src/modules/fglrx \
      usr/src/modules/fglrx/debian
dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use)
dh_installdirs -A -pfglrx-amdcccle \
      usr \
      usr/bin \
      usr/share \
      usr/share/applnk \
      usr/share/applications \
      usr/share/icons \
      usr/share/pixmaps
dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use)
dh_installdirs -p \
      usr/src
dh_installdirs: Compatibility levels before 5 are deprecated (level 4 in use)
dh_install
dh_install: Compatibility levels before 5 are deprecated (level 4 in use)
ldconfig -n usr/X11R6/lib/
dh_install -pfglrx-driver "usr/X11R6/bin/fgl*"      "usr/bin"
dh_install: Compatibility levels before 5 are deprecated (level 4 in use)
dh_install -pfglrx-driver "usr/X11R6/bin/aticonfig" "usr/bin"
dh_install: Compatibility levels before 5 are deprecated (level 4 in use)
dh_install -pfglrx-driver "usr/sbin/atieventsd"     "usr/sbin"
dh_install: Compatibility levels before 5 are deprecated (level 4 in use)
dh_installman -pfglrx-driver "usr/share/man/man8/atieventsd.8"
dh_installman: Compatibility levels before 5 are deprecated (level 4 in use)
# amd64 needs some library redirection
dh_install -pfglrx-driver "usr/X11R6/lib64/*.so*"           "usr/lib"
dh_install: Compatibility levels before 5 are deprecated (level 4 in use)
dh_install -pfglrx-driver "usr/X11R6/lib64/modules/dri"     "usr/lib"
dh_install: Compatibility levels before 5 are deprecated (level 4 in use)
dh_install -pfglrx-driver "usr/X11R6/lib64/modules/linux"   "usr/lib/xorg/modules"
dh_install: Compatibility levels before 5 are deprecated (level 4 in use)
cp: cannot stat `./usr/X11R6/lib64/modules/linux': No such file or directory
dh_install: cp -a ./usr/X11R6/lib64/modules/linux debian/fglrx-driver/usr/lib/xorg/modules/ returned exit code 1
make: *** [binary] Error 2
dpkg-buildpackage: error: debian/rules binary gave error exit status 2
Removing temporary directory: fglrx-install.PpJ3V1
narayan@narayan-pc:~/Downloads$



What am i missing?
User avatar
PsySc0rpi0n
 
Posts: 16
Joined: 2012-10-24 13:54

Re: ATI proprietary drivers

Postby craigevil » 2012-10-27 19:03

ATIProprietary - Debian Wiki - http://wiki.debian.org/ATIProprietary
Debian Sid KDE Kernel 3.17 Thinkpad R40 Intel M 1.3 CPU 2GB RAM Radeon Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Giant Debian sources.list | Debian upgrade script smxi | sysinfo script inxi
User avatar
craigevil
 
Posts: 5155
Joined: 2006-09-17 03:17
Location: Oz

Re: ATI proprietary drivers

Postby PsySc0rpi0n » 2012-10-27 19:10

I've already saw that...

How do i check my Xorg version?

Code: Select all
X -version


Code: Select all
X.Org X Server 1.12.4
Release Date: 2012-08-27
X Protocol Version 11, Revision 0
Build Operating System: Linux 3.2.0-4-amd64 x86_64 Debian
Current Operating System: Linux narayan-pc 3.2.0-3-amd64 #1 SMP Mon Jul 23 02:45:17 UTC 2012 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-3-amd64 root=UUID=fc28649e-84a3-463c-b069-90b88972f313 ro quiet
Build Date: 30 September 2012  10:53:24AM
xorg-server 2:1.12.4-1 (Julien Cristau <jcristau@debian.org>)
Current version of pixman: 0.26.0
   Before reporting problems, check http://wiki.x.org
   to make sure that you have the latest version.


Check this here

Says there to use Xorg from Wheezy...

And please help me on what is said in message 40 please.
User avatar
PsySc0rpi0n
 
Posts: 16
Joined: 2012-10-24 13:54

Re: ATI proprietary drivers

Postby lizbeth » 2012-10-28 23:23

Well PsyScorpion, I got the same error you did eventually.....
Toshiba Satellite Laptop, AMD A6-3420M Quad-Core CPU, AMD Radeon 6520G On Chip HD GPU, Toshiba 500 Gig HD, 6 gigs Ram

Linux Mint Debian Sid, Liquorix 3.6 Kernel, Cinnamon 1.6.4 Desktop
User avatar
lizbeth
 
Posts: 67
Joined: 2012-10-20 12:15

Re: ATI proprietary drivers

Postby el chapulín » 2012-10-29 09:08

PsySc0rpi0n wrote:I've already saw that...

No, because if you had, you wouldn't be doing what you're doing now...

Install the debianised packages from the non-free repository. If you really do want to install from the AMD .run installer then don't try to generate a debian package as it has never worked, just install it. The bug you posted is irrelevant.

You'd have discovered all of this for yourself if you'd bothered to read the wiki page or searched the forums and read one of the several thousand threads on the subject...
el chapulín
 
Posts: 78
Joined: 2012-09-07 08:34

Re: ATI proprietary drivers

Postby lizbeth » 2012-10-29 09:16

That's too bad. Running the installer and just installing the drivers has the serious consequence of not being able to uninstall the drivers should there be a problem,,,,
Toshiba Satellite Laptop, AMD A6-3420M Quad-Core CPU, AMD Radeon 6520G On Chip HD GPU, Toshiba 500 Gig HD, 6 gigs Ram

Linux Mint Debian Sid, Liquorix 3.6 Kernel, Cinnamon 1.6.4 Desktop
User avatar
lizbeth
 
Posts: 67
Joined: 2012-10-20 12:15

Re: ATI proprietary drivers

Postby el chapulín » 2012-10-29 10:13

Not strictly true:
Code: Select all
# sh /usr/share/ati/fglrx-uninstall.sh

But if you simply install the fglrx driver from the non-free repo............. :roll:

12.10 is in the experimental repository.
el chapulín
 
Posts: 78
Joined: 2012-09-07 08:34

Re: ATI proprietary drivers

Postby lizbeth » 2012-10-30 00:52

How do I acces those experimental repos? I'm running on my sid build ATM
Toshiba Satellite Laptop, AMD A6-3420M Quad-Core CPU, AMD Radeon 6520G On Chip HD GPU, Toshiba 500 Gig HD, 6 gigs Ram

Linux Mint Debian Sid, Liquorix 3.6 Kernel, Cinnamon 1.6.4 Desktop
User avatar
lizbeth
 
Posts: 67
Joined: 2012-10-20 12:15

Re: ATI proprietary drivers

Postby craigevil » 2012-10-30 01:01

lizbeth wrote:How do I acces those experimental repos? I'm running on my sid build ATM


add exp repo
apt-get update
apt-get -t experimental install foo
Debian Sid KDE Kernel 3.17 Thinkpad R40 Intel M 1.3 CPU 2GB RAM Radeon Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Giant Debian sources.list | Debian upgrade script smxi | sysinfo script inxi
User avatar
craigevil
 
Posts: 5155
Joined: 2006-09-17 03:17
Location: Oz

Re: ATI proprietary drivers

Postby lizbeth » 2012-10-30 13:11

Sweet! Thanks!
Toshiba Satellite Laptop, AMD A6-3420M Quad-Core CPU, AMD Radeon 6520G On Chip HD GPU, Toshiba 500 Gig HD, 6 gigs Ram

Linux Mint Debian Sid, Liquorix 3.6 Kernel, Cinnamon 1.6.4 Desktop
User avatar
lizbeth
 
Posts: 67
Joined: 2012-10-20 12:15

Re: ATI proprietary drivers

Postby pendrachken » 2012-11-01 03:15

el chapulín wrote:
PsySc0rpi0n wrote:I've already saw that...

No, because if you had, you wouldn't be doing what you're doing now...

Install the debianised packages from the non-free repository. If you really do want to install from the AMD .run installer then don't try to generate a debian package as it has never worked, just install it. The bug you posted is irrelevant.

You'd have discovered all of this for yourself if you'd bothered to read the wiki page or searched the forums and read one of the several thousand threads on the subject...


Building debian packages worked in etch(testing) :roll: I know debian has a rep for being a bit long in the tooth but come on ATI... thats getting a bit on the absurd side :lol:
fortune -o
Your love life will be... interesting.
:twisted: How did it know?

The U.S. uses the metric system too, we have tenths, hundredths and thousandths of inches :-P
pendrachken
 
Posts: 1049
Joined: 2007-03-04 21:10
Location: U.S.A. - WI.

Re: ATI proprietary drivers

Postby lizbeth » 2012-11-03 16:21

craigevil wrote:
add exp repo
apt-get update
apt-get -t experimental install foo



add exp repo? what? does not compute

apt-get -t experimental install foo???? foo?????? fooo you say?? i say foo on yoo!
Toshiba Satellite Laptop, AMD A6-3420M Quad-Core CPU, AMD Radeon 6520G On Chip HD GPU, Toshiba 500 Gig HD, 6 gigs Ram

Linux Mint Debian Sid, Liquorix 3.6 Kernel, Cinnamon 1.6.4 Desktop
User avatar
lizbeth
 
Posts: 67
Joined: 2012-10-20 12:15

Re: ATI proprietary drivers

Postby lizbeth » 2012-11-03 16:33

I searched the experimental repository in synaptic using the origin filter:

Code: Select all
deb http://ftp.debian.org/debian experimental main contirb non-free


and only found legacy drivers:

    FGLRX / AMD Catalyst is the non-free proprietary display driver for the
    ATI/AMD RadeonHD and FireGL graphics cards. As an alternative, you may try
    the newest free driver xserver-xorg-video-radeon.

    This legacy driver release supports the following graphics adapter families:
    AMD Radeon HD 4000, AMD Radeon HD 3000, and AMD Radeon HD 2000.

    The ATI External Events Daemon atieventsd is a user-level application
    that monitors various system events such as ACPI or hotplug, then
    notifies the driver via the X extensions interface that the event has
    occured.

Toshiba Satellite Laptop, AMD A6-3420M Quad-Core CPU, AMD Radeon 6520G On Chip HD GPU, Toshiba 500 Gig HD, 6 gigs Ram

Linux Mint Debian Sid, Liquorix 3.6 Kernel, Cinnamon 1.6.4 Desktop
User avatar
lizbeth
 
Posts: 67
Joined: 2012-10-20 12:15

Re: ATI proprietary drivers

Postby craigevil » 2012-11-03 17:13

# apt-cache policy libgl1-fglrx-glx
libgl1-fglrx-glx:
Installed: (none)
Candidate: 1:12-6+point-3
Version table:
1:12.10-1 0
1 http://ftp.us.debian.org/debian/ experimental/non-free i386 Packages
1:12-6+point-3 0
500 http://ftp.us.debian.org/debian/ unstable/non-free i386 Packages

# apt-cache show libgl1-fglrx-glx
Package: libgl1-fglrx-glx
Source: fglrx-driver
Version: 1:12.10-1
Installed-Size: 933
Maintainer: Fglrx packaging team <pkg-fglrx-devel@lists.alioth.debian.org>
Architecture: i386
Replaces: fglrx-glx (<< 1:11-8-2), libgl1-fglrx-glx-virtual
Provides: libgl1-fglrx-glx-i386, libgl1-fglrx-glx-virtual
Depends: libc6 (>= 2.3.6-6~), libfglrx (= 1:12.10-1), libgcc1 (>= 1:4.1.1), libxext6, glx-alternative-fglrx (>= 0.2.90)
Pre-Depends: multiarch-support
Conflicts: fglrx-glx-ia32, libgl1-fglrx-glx-virtual
Breaks: fglrx-glx (<< 1:11-8-2), ia32-libs (<< 1:0), libgl1-nvidia-glx (<< 275.09.07-3), nvidia-glx (<< 275.09.07-3)
Description: proprietary libGL for the non-free ATI/AMD RadeonHD display driver
Multi-Arch: same
Homepage: http://support.amd.com/us/gpudownload/l ... linux.aspx

Try this:
Code: Select all
apt-get -t experimental install  fglrx-modules-dkms fglrx-driver libgl1-fglrx-glx fglrx-control


Code: Select all
 apt-get -t experimental install  fglrx-modules-dkms fglrx-driver libgl1-fglrx-glx fglrx-control -s
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  glx-alternative-fglrx glx-alternative-mesa glx-diversions libfglrx nvidia-installer-cleanup
Suggested packages:
  xvba-va-driver amd-opencl-icd
Recommended packages:
  fglrx-atieventsd libfglrx-amdxvba1
The following NEW packages will be installed:
  fglrx-control fglrx-driver fglrx-modules-dkms glx-alternative-fglrx glx-alternative-mesa glx-diversions libfglrx
  libgl1-fglrx-glx nvidia-installer-cleanup
0 upgraded, 9 newly installed, 0 to remove and 244 not upgraded.
Inst nvidia-installer-cleanup (20120731+1 Debian:experimental [i386])
Conf nvidia-installer-cleanup (20120731+1 Debian:experimental [i386])
Inst glx-diversions (0.2.90 Debian:experimental [i386])
Inst libfglrx (1:12.10-1 Debian:experimental [i386])
Inst glx-alternative-mesa (0.2.90 Debian:experimental [i386])
Inst glx-alternative-fglrx (0.2.90 Debian:experimental [i386])
Inst fglrx-driver (1:12.10-1 Debian:experimental [i386])
Inst libgl1-fglrx-glx (1:12.10-1 Debian:experimental [i386])
Inst fglrx-control (1:12.10-1 Debian:experimental [i386])
Inst fglrx-modules-dkms (1:12.10-1 Debian:experimental [i386])
Conf glx-diversions (0.2.90 Debian:experimental [i386])
Conf libfglrx (1:12.10-1 Debian:experimental [i386])
Conf glx-alternative-mesa (0.2.90 Debian:experimental [i386])
Conf glx-alternative-fglrx (0.2.90 Debian:experimental [i386])
Conf fglrx-driver (1:12.10-1 Debian:experimental [i386])
Conf libgl1-fglrx-glx (1:12.10-1 Debian:experimental [i386])
Conf fglrx-control (1:12.10-1 Debian:experimental [i386])
Conf fglrx-modules-dkms (1:12.10-1 Debian:experimental [i386])
Debian Sid KDE Kernel 3.17 Thinkpad R40 Intel M 1.3 CPU 2GB RAM Radeon Mobility 7500
Debian - "If you can't apt-get something, it isn't useful or doesn't exist"
Giant Debian sources.list | Debian upgrade script smxi | sysinfo script inxi
User avatar
craigevil
 
Posts: 5155
Joined: 2006-09-17 03:17
Location: Oz

Re: ATI proprietary drivers

Postby lizbeth » 2012-11-03 17:30

Well Jolly Well Good! Thanks!
Toshiba Satellite Laptop, AMD A6-3420M Quad-Core CPU, AMD Radeon 6520G On Chip HD GPU, Toshiba 500 Gig HD, 6 gigs Ram

Linux Mint Debian Sid, Liquorix 3.6 Kernel, Cinnamon 1.6.4 Desktop
User avatar
lizbeth
 
Posts: 67
Joined: 2012-10-20 12:15


Return to Desktop & Multimedia

Who is online

Users browsing this forum: Mike and 29 guests

fashionable